package digital.laboratory.platform.entrustment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import digital.laboratory.platform.sys.entity.DrugLite;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 委托检材--检出定性定量结果信息
 * @TableName b_entrust_material_checkout_result
 */
@TableName(value ="b_entrust_material_checkout_result", autoResultMap = true)
@Data
public class EntrustMaterialCheckoutResult extends BaseEntity {
    /**
     * 委托检材id
     */
    @TableId(value = "entrust_material_id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 委托检材id
     */
    @ApiModelProperty(value = "委托id")
    private String entrustId;

    /**
     * 定性结果
     */
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<DrugLite> qualitativeResult;

    /**
     * 定量结果
     */
    private String quantitativeResult;

    /**
     * 其他鉴定结果
     */
    private String otherResult;

    /**
     * 检出结果的备注信息
     */
    private String checkoutRemark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
